Package com.datecs.util

# Class RegExpr

java.lang.Object
com.datecs.util.RegExpr

    public class RegExpr
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `_0_00__99_99` |
  `static java.lang.String` | `_0_00__9999999_99` |
  `static java.lang.String` | `_0_000__999999_999` |
  `static java.lang.String` | `_0_2` |
  `static java.lang.String` | `_0_3` |
  `static java.lang.String` | `_0_4` |
  `static java.lang.String` | `_0_7` |
  `static java.lang.String` | `_0_8` |
  `static java.lang.String` | `_0_9` |
  `static java.lang.String` | `_0_99` |
  `static java.lang.String` | `_0_99999999` |
  `static java.lang.String` | `_01` |
  `static java.lang.String` | `_01_09` |
  `static java.lang.String` | `_1` |
  `static java.lang.String` | `_1_10` |
  `static java.lang.String` | `_1_16` |
  `static java.lang.String` | `_1_3` |
  `static java.lang.String` | `_1_30` |
  `static java.lang.String` | `_1_4` |
  `static java.lang.String` | `_1_8` |
  `static java.lang.String` | `_1_99` |
  `static java.lang.String` | `_1_99999` |
  `static java.lang.String` | `_1_9999999` |
  `static java.lang.String` | `_1_999999999` |
  `static java.lang.String` | `_1_9999999999` |
  `static java.lang.String` | `_10_14Symbol` |
  `static java.lang.String` | `_10d_2d` |
  `static java.lang.String` | `_10digit` |
  `static java.lang.String` | `_1to8Digit` |
  `static java.lang.String` | `_4d` |
  `static java.lang.String` | `_4to8Digit` |
  `static java.lang.String` | `_8_13_Digit` |
  `static java.lang.String` | `_8_16_Byte_0_1` |
  `static java.lang.String` | `_8Digit` |
  `static java.lang.String` | `_9_14Symbol` |
  `static java.lang.String` | `_A` |
  `static java.lang.String` | `_A_H_A_3` |
  `static java.lang.String` | `_A_Z` |
  `static java.lang.String` | `_ADD_PAY` |
  `static java.lang.String` | `_ADD_PAY1` |
  `static java.lang.String` | `_BARCODE_TYPE` |
  `static java.lang.String` | `_BHI` |
  `static java.lang.String` | `_bulstatType` |
  `static java.lang.String` | `_DD_MM_YY` |
  `static java.lang.String` | `_DD_MM_YY_HH_MM_SS` |
  `static java.lang.String` | `_DDMMYY` |
  `static java.lang.String` | `_DDMMYYhhmm` |
  `static java.lang.String` | `_DDMMYYhhmmss` |
  `static java.lang.String` | `_E_R_T` |
  `static java.lang.String` | `_F_N` |
  `static java.lang.String` | `_HH_MM_SS` |
  `static java.lang.String` | `_I` |
  `static java.lang.String` | `_LRC` |
  `static java.lang.String` | `_mask8byte` |
  `static java.lang.String` | `_MMYY` |
  `static java.lang.String` | `_N_T` |
  `static java.lang.String` | `_PaiedModes` |
  `static java.lang.String` | `_S_P` |
  `static java.lang.String` | `_SERAIL_NUM` |
  `static java.lang.String` | `_T` |
  `static java.lang.String` | `_UNP` |
  `static java.lang.String` | `_UpTo10Symbol` |
  `static java.lang.String` | `_UpTo14Symbol` |
  `static java.lang.String` | `_UpTo20Symbol` |
  `static java.lang.String` | `_UpTo22Symbol` |
  `static java.lang.String` | `_UpTo24Symbol` |
  `static java.lang.String` | `_UpTo26Symbol` |
  `static java.lang.String` | `_UpTo28Symbol` |
  `static java.lang.String` | `_UpTo30Symbol` |
  `static java.lang.String` | `_UpTo32Symbol` |
  `static java.lang.String` | `_UpTo34Symbol` |
  `static java.lang.String` | `_UpTo36Symbol` |
  `static java.lang.String` | `_UpTo3Symbol` |
  `static java.lang.String` | `_UpTo40Symbol` |
  `static java.lang.String` | `_UpTo42Symbol` |
  `static java.lang.String` | `_UpTo63ymbol` |
  `static java.lang.String` | `_UpTo6Symbol` |
  `static java.lang.String` | `_UpTo72Symbol` |
  `static java.lang.String` | `_UpTo8Symbol` |
  `static java.lang.String` | `_WX` |
  `static java.lang.String` | `_x01` |
  `static java.lang.String` | `_YY` |
  `static java.lang.String` | `PATTERN_IP` |
  `static java.lang.String` | `PATTERN_MAC` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RegExpr()` |

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### _F_N

    public static final java.lang.String _F_N
    See Also:
      Constant Field Values

  - ### _N_T

    public static final java.lang.String _N_T
    See Also:
      Constant Field Values

  - ### _1_9999999999

    public static java.lang.String _1_9999999999

  - ### _1_999999999

    public static java.lang.String _1_999999999

  - ### _1_9999999

    public static java.lang.String _1_9999999

  - ### _1_99999

    public static java.lang.String _1_99999

  - ### _1_99

    public static java.lang.String _1_99

  - ### _01_09

    public static java.lang.String _01_09

  - ### _1_30

    public static java.lang.String _1_30

  - ### _1_16

    public static java.lang.String _1_16

  - ### _1_10

    public static java.lang.String _1_10

  - ### _0_99999999

    public static java.lang.String _0_99999999

  - ### _0_99

    public static java.lang.String _0_99

  - ### _A

    public static java.lang.String _A

  - ### _UpTo6Symbol

    public static java.lang.String _UpTo6Symbol

  - ### _UpTo42Symbol

    public static java.lang.String _UpTo42Symbol

  - ### _UpTo40Symbol

    public static java.lang.String _UpTo40Symbol

  - ### _UpTo36Symbol

    public static java.lang.String _UpTo36Symbol

  - ### _UpTo30Symbol

    public static java.lang.String _UpTo30Symbol

  - ### _UpTo20Symbol

    public static java.lang.String _UpTo20Symbol

  - ### _UpTo22Symbol

    public static java.lang.String _UpTo22Symbol

  - ### _UpTo24Symbol

    public static java.lang.String _UpTo24Symbol

  - ### _UpTo26Symbol

    public static java.lang.String _UpTo26Symbol

  - ### _UpTo28Symbol

    public static java.lang.String _UpTo28Symbol

  - ### _UpTo14Symbol

    public static java.lang.String _UpTo14Symbol

  - ### _UpTo10Symbol

    public static java.lang.String _UpTo10Symbol

  - ### _UpTo8Symbol

    public static java.lang.String _UpTo8Symbol

  - ### _UpTo3Symbol

    public static java.lang.String _UpTo3Symbol

  - ### _UpTo34Symbol

    public static java.lang.String _UpTo34Symbol

  - ### _UpTo32Symbol

    public static java.lang.String _UpTo32Symbol

  - ### _UpTo72Symbol

    public static java.lang.String _UpTo72Symbol

  - ### _UpTo63ymbol

    public static java.lang.String _UpTo63ymbol

  - ### _A_H_A_3

    public static java.lang.String _A_H_A_3

  - ### _10digit

    public static java.lang.String _10digit

  - ### _0_00__9999999_99

    public static java.lang.String _0_00__9999999_99

  - ### _0_000__999999_999

    public static java.lang.String _0_000__999999_999

  - ### _0_00__99_99

    public static java.lang.String _0_00__99_99

  - ### _01

    public static java.lang.String _01

  - ### _x01

    public static java.lang.String _x01

  - ### _PaiedModes

    public static java.lang.String _PaiedModes

  - ### _DDMMYY

    public static java.lang.String _DDMMYY

  - ### _DD_MM_YY

    public static java.lang.String _DD_MM_YY

  - ### _HH_MM_SS

    public static java.lang.String _HH_MM_SS

  - ### _DD_MM_YY_HH_MM_SS

    public static java.lang.String _DD_MM_YY_HH_MM_SS

  - ### _DDMMYYhhmmss

    public static java.lang.String _DDMMYYhhmmss

  - ### _DDMMYYhhmm

    public static java.lang.String _DDMMYYhhmm

  - ### _YY

    public static java.lang.String _YY

  - ### _10d_2d

    public static java.lang.String _10d_2d

  - ### _4d

    public static java.lang.String _4d

  - ### _WX

    public static java.lang.String _WX

  - ### _T

    public static java.lang.String _T

  - ### _MMYY

    public static java.lang.String _MMYY

  - ### _0_2

    public static java.lang.String _0_2

  - ### _0_3

    public static java.lang.String _0_3

  - ### _0_4

    public static java.lang.String _0_4

  - ### _0_7

    public static java.lang.String _0_7

  - ### _0_8

    public static java.lang.String _0_8

  - ### _0_9

    public static java.lang.String _0_9

  - ### _mask8byte

    public static java.lang.String _mask8byte

  - ### _ADD_PAY

    public static java.lang.String _ADD_PAY

  - ### _ADD_PAY1

    public static java.lang.String _ADD_PAY1

  - ### _1

    public static java.lang.String _1

  - ### _1_3

    public static java.lang.String _1_3

  - ### _1_4

    public static java.lang.String _1_4

  - ### _A_Z

    public static java.lang.String _A_Z

  - ### _S_P

    public static java.lang.String _S_P

  - ### _9_14Symbol

    public static java.lang.String _9_14Symbol

  - ### _10_14Symbol

    public static java.lang.String _10_14Symbol

  - ### _4to8Digit

    public static java.lang.String _4to8Digit

  - ### _1to8Digit

    public static java.lang.String _1to8Digit

  - ### _1_8

    public static java.lang.String _1_8

  - ### _UNP

    public static java.lang.String _UNP

  - ### _I

    public static java.lang.String _I

  - ### PATTERN_IP

    public static java.lang.String PATTERN_IP

  - ### PATTERN_MAC

    public static java.lang.String PATTERN_MAC

  - ### _8_16_Byte_0_1

    public static java.lang.String _8_16_Byte_0_1

  - ### _BHI

    public static java.lang.String _BHI

  - ### _E_R_T

    public static java.lang.String _E_R_T

  - ### _BARCODE_TYPE

    public static java.lang.String _BARCODE_TYPE

  - ### _LRC

    public static java.lang.String _LRC

  - ### _SERAIL_NUM

    public static java.lang.String _SERAIL_NUM

  - ### _8Digit

    public static java.lang.String _8Digit

  - ### _8_13_Digit

    public static java.lang.String _8_13_Digit

  - ### _bulstatType

    public static java.lang.String _bulstatType

- ## Constructor Details

  - ### RegExpr

    public RegExpr()